%define name    jpilot-Mail
%define version 0.1.7
%define release %mkrel 2
%define url http://ludovic.rousseau.free.fr/softwares/jpilot-Mail/index.html 

Name:      %{name}
Version:   %{version}
Release:   %{release}
Summary:   Mail plugin for jpilot
Source:    %{name}-%{version}.tar.bz2
Patch0:    jpilot-Mail-0.1.7-gcc4.patch.bz2
URL:       %{url}
Group:     Communications
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL
Requires:  jpilot >= 0.99.6
BuildRequires: gtk2-devel jpilot_plugin-devel pilot-link-devel >= 0.11.8

%description
jpilot-Mail is a plugin for jpilot which enables you to deliver mail that was
written on your pilot and upload mail that you received to your pilot.

%prep
rm -rf %buildroot

%setup -q
%patch0 -p1

%build
%configure --enable-gtk2
%make

%install
mkdir -p %buildroot%{_libdir}/jpilot/plugins
make install libdir=%buildroot%{_libdir}/jpilot/plugins datadir=%buildroot%{_docdir}/%{name}-%{version}
rm -f %buildroot%{_libdir}/jpilot/plugins/*a

%clean
rm -rf %buildroot

%files
%defattr(-, root, root)
%{_libdir}/jpilot/plugins/libmail.*
%doc doc/*.png doc/*.html
%doc COPYING ChangeLog INSTALL README TODO

%changelog
* Tue Sep 05 2006 Frederic Crozat <fcrozat@mandriva.com> 0.1.7-2mdv2007.0
- Rebuild with new pilot-link

* Sun May 28 2006 Stefan van der Eijk <stefan@eijk.nu> 0.1.7-1
- update from Cris B <cris@beebgames.com>
   - update URL
   - gcc4 patch
   - switch to gtk2

* Sun May 28 2006 Stefan van der Eijk <stefan@eijk.nu> 0.0.6-10mdk
- %%mkrel
- remove redundant BuildRequires

* Mon Jan 16 2006 Frederic Crozat <fcrozat@mandriva.com> 0.0.6-9mdk
- Rebuild

* Mon Jul 28 2003 Franois Pons <fpons@mandrakesoft.com> 0.0.6-8mdk
- rebuild with jpilot-0.99.6 and pilot-link-0.11.8.

* Wed Oct 16 2002 Franois Pons <fpons@mandrakesoft.com> 0.0.6-7mdk
- rebuild with pilot-link-0.11.5 and jpilot-0.99.3.
- removed patch already applied.

* Thu Aug 08 2002 Franois Pons <fpons@mandrakesoft.com> 0.0.6-6mdk
- rebuild with pilot-link-0.11.3 and jpilot-0.99.2.

* Wed Jul 17 2002 Franois Pons <fpons@mandrakesoft.com> 0.0.6-5mdk
- created patch to compile with pilot-link-0.11.0.

* Fri Dec  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.0.6-4mdk
- Fix rpmlint's.

* Mon Oct 08 2001 Stefan van der Eijk <stefan@eijk.nu> 0.0.6-3mdk
- BuildRequires:  gtk+-devel pilot-link-devel
- Copyright --> License

* Fri Aug  3 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.0.6-2mdk
- Clean up specs.
- Rebuild.

* Fri May 25 2001 Matthias Badaire <mbadaire@mandrakesoft.com> 0.0.6-1mdk
- new release

* Mon May 14 2001 Matthias Badaire <mbadaire@mandrakesoft.com> 0.0.5-4mdk
- fix version issue with jpilot 0.99

* Sat Feb 10 2001 Stefan van der Eijk <s.vandereijk@chello.nl> 0.0.5-3mdk
- rebuild against jpilot 0.99

* Fri Nov 03 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.0.5-2mdk
- Rebuilt for gcc 2.96

* Tue Oct 17 2000 Alexander Skwar <ASkwar@Linux-Mandrake.com> 0.0.5-1mdk
- Updated to non-crashing v0.0.5
- Reworked SPEC file a little
- Removed explicit packager tag
- Quiet setup

* Tue Jun 13 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 0.0.3-1mdk
- initial RPM

